List Deployment Users
curl --request POST \
--url https://api.example.com/api/agent/deployments/{deploymentId}/users/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentId": "<string>",
"options": {
"pageToken": "<string>",
"pageSize": 123,
"sortBy": "<string>"
},
"filters": {
"query": "<string>",
"pruneGithub": true,
"showActive": true,
"memberIds": [
"<string>"
]
}
}
'import requests
url = "https://api.example.com/api/agent/deployments/{deploymentId}/users/list"
payload = {
"deploymentId": "<string>",
"options": {
"pageToken": "<string>",
"pageSize": 123,
"sortBy": "<string>"
},
"filters": {
"query": "<string>",
"pruneGithub": True,
"showActive": True,
"memberIds": ["<string>"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deploymentId: '<string>',
options: {pageToken: '<string>', pageSize: 123, sortBy: '<string>'},
filters: {
query: '<string>',
pruneGithub: true,
showActive: true,
memberIds: ['<string>']
}
})
};
fetch('https://api.example.com/api/agent/deployments/{deploymentId}/users/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"users": [
{
"id": "<string>",
"authentication": [
"<string>"
],
"since": "2023-11-07T05:31:56Z",
"lastUpdatedAt": "2023-11-07T05:31:56Z",
"groups": [
{
"group": {
"id": "<string>",
"deploymentId": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"repositoryIds": [
"<string>"
],
"users": [
{
"userId": "<string>"
}
],
"isDefault": true,
"parentGroupId": "<string>",
"childGroupIds": [
"<string>"
],
"repositoryCount": "<string>",
"userCount": "<string>",
"childGroupCount": "<string>"
}
}
],
"name": "<string>",
"login": "<string>",
"email": "<string>",
"avatarUrl": "<string>",
"active": true
}
],
"pageToken": "<string>"
}Deployment
List Deployment Users
List deployment users (paginated)
POST
/
api
/
agent
/
deployments
/
{deploymentId}
/
users
/
list
List Deployment Users
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
Body
application/json
Was this page helpful?
⌘I